Create a page from an incident

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.datadoghq.eu/api/v2/incidents/{incident_id}/cases/pagehttps://api.ddog-gov.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.datadoghq.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/cases/pagehttps://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/cases/page

Overview

Create a page from an incident using the Cases service. This endpoint requires all of the following permissions:

  • oncall_page
  • incident_write

  • OAuth apps require the incident_write authorization scope to access this endpoint.

    Arguments

    Path Parameters

    Name

    Type

    Description

    incident_id [required]

    string

    The UUID of the incident.

    Request

    Body Data (required)

    Page creation payload.

    Expand All

    Field

    Type

    Description

    data [required]

    object

    Page data in a create request.

    attributes [required]

    object

    Attributes for creating a page from an incident.

    description

    string

    The description of the page.

    incident_public_id

    string

    The public ID of the incident.

    role

    object

    A reference to an incident role for a page.

    id [required]

    uuid

    The role identifier.

    type [required]

    enum

    The type of incident role for a page. Allowed enum values: incident_user_defined_roles,incident_reserved_roles

    services

    [string]

    List of affected services.

    tags

    [string]

    List of tags for the page.

    target

    object

    The target recipient for a page.

    identifier [required]

    string

    The identifier of the target (handle, UUID, or user UUID).

    type [required]

    enum

    The type of target for a page request. Allowed enum values: team_handle,team_uuid,user_uuid

    title

    string

    The title of the page.

    type [required]

    enum

    Resource type for a page creation request. Allowed enum values: page

    {
      "data": {
        "attributes": {
          "description": "A critical incident affecting production systems.",
          "incident_public_id": "12345",
          "role": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "incident_user_defined_roles"
          },
          "services": [
            "web-store",
            "checkout"
          ],
          "tags": [
            "env:prod"
          ],
          "target": {
            "identifier": "my-team-handle",
            "type": "team_uuid"
          },
          "title": "Production outage - SEV-1"
        },
        "type": "page"
      }
    }

    Response

    OK

    Response with a page UUID.

    Expand All

    Field

    Type

    Description

    data [required]

    object

    Page UUID data in a response.

    id [required]

    uuid

    The UUID of the created page.

    type [required]

    enum

    Resource type for a page UUID response. Allowed enum values: page_uuid

    {
      "data": {
        "id": "00000000-0000-0000-0000-000000000001",
        "type": "page_uuid"
      }
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Unauthorized

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Path parameters
    export incident_id="CHANGE_ME"
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/${incident_id}/cases/page" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "description": "A critical incident affecting production systems.", "services": [ "web-store" ], "tags": [ "env:prod" ], "target": { "identifier": "my-oncall-team", "type": "team_handle" }, "title": "Production outage - SEV-1" }, "type": "page" } } EOF